Public Member Functions | Public Attributes | Private Member Functions | List of all members
libepubgen::EPUBTextGenerator::Impl Struct Reference
Inheritance diagram for libepubgen::EPUBTextGenerator::Impl:

## Public Member Functions
| Impl (EPUBPackage *package, int version)
Public Member Functions inherited from libepubgen::EPUBGenerator
| EPUBGenerator (EPUBPackage *package, int version)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const EPUBHTMLGeneratorPtr_t & | getHtml () const
EPUBHTMLManager & | getHtmlManager ()
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()
int | getVersion () const
void | setSplitMethod (EPUBSplitMethod splitMethod)
void | setStylesMethod (EPUBStylesMethod stylesMethod)
void | setLayoutMethod (EPUBLayoutMethod layoutMethod)

## Public Attributes
bool | m_inPageSpan
bool | m_inHeader
bool | m_inFooter
RVNGPropertyList | m_pageSpanProps
shared_ptr< EPUBTextElements > | m_currentHeader
shared_ptr< EPUBTextElements > | m_currentFooter
shared_ptr< EPUBTextElements > | m_currentHeaderOrFooter
ImageHandlerMap_t | m_imageHandlers
bool | m_breakAfterPara

## Private Member Functions
void | startHtmlFile () override
void | endHtmlFile () override
| Impl (const Impl &)
Impl & | operator= (const Impl &)

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

libepubgen::EPUBTextGenerator::Impl::Impl | ( | EPUBPackage * | package,
|  | int | version
| ) |  |

## ◆ Impl() [2/2]

libepubgen::EPUBTextGenerator::Impl::Impl | ( | const Impl & |  | ) |
| private

## Member Function Documentation

## ◆ endHtmlFile()

void libepubgen::EPUBTextGenerator::Impl::endHtmlFile | ( |  | ) |
| override private virtual

Implements libepubgen::EPUBGenerator.

## ◆ operator=()

Impl& libepubgen::EPUBTextGenerator::Impl::operator= | ( | const Impl & |  | ) |
| private

## ◆ startHtmlFile()

void libepubgen::EPUBTextGenerator::Impl::startHtmlFile | ( |  | ) |
| override private virtual

Implements libepubgen::EPUBGenerator.

## Member Data Documentation

## ◆ m_breakAfterPara

bool libepubgen::EPUBTextGenerator::Impl::m_breakAfterPara

## ◆ m_currentFooter

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentFooter

## ◆ m_currentHeader

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentHeader

## ◆ m_currentHeaderOrFooter

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentHeaderOrFooter

## ◆ m_imageHandlers

ImageHandlerMap_t libepubgen::EPUBTextGenerator::Impl::m_imageHandlers

## ◆ m_inFooter

bool libepubgen::EPUBTextGenerator::Impl::m_inFooter

## ◆ m_inHeader

bool libepubgen::EPUBTextGenerator::Impl::m_inHeader

## ◆ m_inPageSpan

bool libepubgen::EPUBTextGenerator::Impl::m_inPageSpan

## ◆ m_pageSpanProps

RVNGPropertyList libepubgen::EPUBTextGenerator::Impl::m_pageSpanProps

The documentation for this struct was generated from the following file:

- EPUBTextGenerator.cpp